summaryrefslogtreecommitdiff
path: root/gui-wm
diff options
context:
space:
mode:
Diffstat (limited to 'gui-wm')
-rw-r--r--gui-wm/sway/Manifest1
-rw-r--r--gui-wm/sway/sway-1.0_rc5.ebuild114
-rw-r--r--gui-wm/sway/sway-9999.ebuild4
3 files changed, 117 insertions, 2 deletions
diff --git a/gui-wm/sway/Manifest b/gui-wm/sway/Manifest
index 78756c5e531..f56060dabc8 100644
--- a/gui-wm/sway/Manifest
+++ b/gui-wm/sway/Manifest
@@ -2,3 +2,4 @@ DIST sway-1.0_rc1.tar.gz 5461910 BLAKE2B a9b3a14dfbb40a616b58fce896f0088dfc722e9
DIST sway-1.0_rc2.tar.gz 5462530 BLAKE2B 95868df3d03a61be33e04602d6891a2827cd1b5eab08644f74e04c3cbae39e686ee046be5ae9762595774fd22190e2460e246b564db92c50509ad61a16bb0835 SHA512 78c93f2326952d9e56ebf38f5d6b646934230b1bf5fac50cf35f16b2c1753ffa31dd9ec874a05025ed0d1d828b9a8643c78e739abbcfba55301255b3d0ed4a3e
DIST sway-1.0_rc3.tar.gz 5463453 BLAKE2B 2db52506e6f07f92ab02c48e0cc1b08bad55f355989226f07ed43392f3bfdc088cdd9183b76e349eb83eff331e5236456c1189208619748a9d78ed5ea8de7652 SHA512 95966bfc7431345a6c4c12bf4aa11980f56acc70fc902aa489bb88368bc5412953780ebaa9eae27908dbabf0ed96881ce3bf00cd51879815631b463801ce11cf
DIST sway-1.0_rc4.tar.gz 5464422 BLAKE2B 38e24ea51d3787a6f46ea511ff7848786a84683ae208365dc353d77a65be3fa7f5959c7d7b3fbd5e3f1271db86721905613d9881d09281b3bac68b1b764033d2 SHA512 8c79be79a9ed0c659b07aadf8c4a1ea09848c36613ae73368d03264b402ec7226aff79bcaf79ae44cda71e9fb972fed2c3649e3fb049d81c3d0e232b8605d312
+DIST sway-1.0_rc5.tar.gz 5472917 BLAKE2B 33e01bd0da0a90ff7c09b9af0ebf9f9263be3789390777ee207d2e4297a55d79d4cc7fea28aab121820fffd3447f76d9af60a9c118e541f0ff85ffe9dc17ae48 SHA512 26eb5625e1f940a1705f2d675587ce142a7b07206187c851660bf1c405e9a76c0cc20cf616d471170578f50dae2fc322b504df1ea3ef722fc5992dd9803de8fb
diff --git a/gui-wm/sway/sway-1.0_rc5.ebuild b/gui-wm/sway/sway-1.0_rc5.ebuild
new file mode 100644
index 00000000000..9a8de212b48
--- /dev/null
+++ b/gui-wm/sway/sway-1.0_rc5.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils meson
+
+DESCRIPTION="i3-compatible Wayland window manager"
+HOMEPAGE="https://swaywm.org"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/swaywm/${PN}.git"
+else
+ MY_PV=${PV/_rc/-rc}
+ SRC_URI="https://github.com/swaywm/${PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="elogind fish-completion +man +swaybar +swaybg +swayidle +swaylock +swaymsg +swaynag systemd tray wallpapers X zsh-completion"
+REQUIRED_USE="?? ( elogind systemd )
+ tray? ( || ( elogind systemd ) )"
+
+DEPEND="
+ >=dev-libs/json-c-0.13:0=
+ >=dev-libs/libinput-1.6.0:0=
+ dev-libs/libpcre
+ dev-libs/wayland
+ x11-libs/cairo
+ x11-libs/libxkbcommon
+ x11-libs/pango
+ x11-libs/pixman
+ elogind? ( >=sys-auth/elogind-239 )
+ swaybar? ( x11-libs/gdk-pixbuf:2 )
+ swaybg? ( x11-libs/gdk-pixbuf:2 )
+ swayidle? ( gui-apps/swayidle )
+ swaylock? ( gui-apps/swaylock )
+ systemd? ( >=sys-apps/systemd-239 )
+ X? ( x11-libs/libxcb:0= )
+"
+if [[ ${PV} == 9999 ]]; then
+ DEPEND+="~gui-libs/wlroots-9999[elogind=,systemd=,X=]"
+else
+ DEPEND+=">=gui-libs/wlroots-0.4.1[elogind=,systemd=,X=]"
+fi
+RDEPEND="
+ x11-misc/xkeyboard-config
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-libs/wayland-protocols-1.14
+ virtual/pkgconfig
+ man? ( >=app-text/scdoc-1.8.1 )
+"
+if [[ ${PV} == 9999 ]]; then
+ BDEPEND+="~app-text/scdoc-9999"
+else
+ BDEPEND+=">=app-text/scdoc-1.9.3"
+fi
+
+src_prepare() {
+ default
+
+ use swaybar || sed -e "s/subdir('swaybar')//g" -e "/sway-bar.[0-9].scd/d" \
+ -e "/completions\/[a-z]\+\/_\?swaybar/d" -i meson.build || die
+ use swaybg || sed -e "s/subdir('swaybg')//g" -i meson.build || die
+ use swaymsg || sed -e "s/subdir('swaymsg')//g" -e "/swaymsg.[0-9].scd/d" \
+ -e "/completions\/[a-z]\+\/_\?swaymsg/d" -i meson.build || die
+ use swaynag || sed -e "s/subdir('swaynag')//g" -e "/swaynag.[0-9].scd/d" \
+ -e "/completions\/[a-z]\+\/_\?swaynag/d" -i meson.build || die
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dman-pages=$(usex man enabled disabled)
+ -Dtray=$(usex tray enabled disabled)
+ -Dxwayland=$(usex X enabled disabled)
+ $(meson_use wallpapers default-wallpaper)
+ $(meson_use fish-completion fish-completions)
+ $(meson_use zsh-completion zsh-completions)
+ "-Dbash-completions=true"
+ "-Dwerror=false"
+ )
+
+ if use swaybar || use swaybg; then
+ emesonargs+=("-Dgdk-pixbuf=enabled")
+ else
+ emesonargs+=("-Dgdk-pixbuf=disabled")
+ fi
+
+ meson_src_configure
+}
+
+pkg_preinst() {
+ if ! use systemd && ! use elogind; then
+ fowners root:0 /usr/bin/sway
+ fperms 4511 /usr/bin/sway
+ fi
+}
+
+pkg_postinst() {
+ if ! use systemd && ! use elogind; then
+ elog ""
+ elog "If you use ConsoleKit2, remember to launch sway using:"
+ elog "exec ck-launch-session sway"
+ elog ""
+ elog "If your system does not set the XDG_RUNTIME_DIR environment"
+ elog "variable, you must set it manually to run Sway. See wiki"
+ elog "for details: https://wiki.gentoo.org/wiki/Sway"
+ fi
+}
diff --git a/gui-wm/sway/sway-9999.ebuild b/gui-wm/sway/sway-9999.ebuild
index 3680e46353a..9a8de212b48 100644
--- a/gui-wm/sway/sway-9999.ebuild
+++ b/gui-wm/sway/sway-9999.ebuild
@@ -44,7 +44,7 @@ DEPEND="
if [[ ${PV} == 9999 ]]; then
DEPEND+="~gui-libs/wlroots-9999[elogind=,systemd=,X=]"
else
- DEPEND+=">=gui-libs/wlroots-0.4[elogind=,systemd=,X=]"
+ DEPEND+=">=gui-libs/wlroots-0.4.1[elogind=,systemd=,X=]"
fi
RDEPEND="
x11-misc/xkeyboard-config
@@ -58,7 +58,7 @@ BDEPEND="
if [[ ${PV} == 9999 ]]; then
BDEPEND+="~app-text/scdoc-9999"
else
- BDEPEND+="~app-text/scdoc=-1.9.0"
+ BDEPEND+=">=app-text/scdoc-1.9.3"
fi
src_prepare() {